<div class="content mt-3">

  <div class="row">
    <div class="col-lg-6">
      <div class="card">
        <div class="card-header">
          <strong class="card-title">Édition du profil</strong>
        </div>
        <div class="card-body card-block">
          <form (ngSubmit)='onProfileInformationChange()' class="col-10 offset-1">
            <mat-form-field class="col-12">
              <input required matInput placeholder="Prénom" name="firstName" [(ngModel)]="user.firstName">
            </mat-form-field>

            <mat-form-field class="col-12">
              <input required matInput placeholder="Nom" name="lastName" [(ngModel)]="user.lastName">
            </mat-form-field>

            <mat-form-field class="col-12">
              <input matInput placeholder="Email" disabled name="email" [(ngModel)]="user.email">
            </mat-form-field>

            <div class="form-actions form-group text-right">
              <button type="submit" class="btn btn-primary">Enregistrer</button>
            </div>
          </form>
        </div>
      </div>
    </div>

    <div class="col-lg-6">
      <div class="card">
        <div class="card-header">
          <strong class="card-title">Modification mot de passe</strong>
        </div>
        <div class="card-body card-block">

          <form [formGroup]='passwordForm' (ngSubmit)='onProfilePasswordChange()' class="col-10 offset-1">
            <mat-form-field class="col-12">
              <input required matInput formControlName='currentPassword' placeholder="Ancien mot de passe" [type]="hide1 ? 'password' : 'text'">
              <mat-icon matSuffix (click)="hide1 = !hide1">{{hide1 ? 'visibility_off' : 'visibility'}}</mat-icon>
            </mat-form-field>

            <mat-form-field class="col-12">
              <input required matInput formControlName='password' placeholder="Nouveau mot de passe" [type]="hide2 ? 'password' : 'text'">
              <mat-icon matSuffix (click)="hide2 = !hide2">{{hide2 ? 'visibility_off' : 'visibility'}}</mat-icon>
            </mat-form-field>

            <mat-form-field class="col-12">
              <input required matInput formControlName='confirmPassword' placeholder="Confirmer le mot de passe" [type]="hide3 ? 'password' : 'text'">
              <mat-icon matSuffix (click)="hide3 = !hide3">{{hide3 ? 'visibility_off' : 'visibility'}}</mat-icon>
            </mat-form-field>

            <div class="form-actions form-group text-right">
              <button type="submit" class="btn btn-primary">Enregistrer</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
